*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    background-image: linear-gradient(45deg, #dcfcea 0%, #f5f4ce 100%);
}
header{
    display: flex;
    height: 4rem;
    background-color: lightgreen;
    align-items: center;
    justify-content: center;

    background : linear-gradient(to right, #FF5F6D, #FFC371)
}
.main_container {
    width: 50%;
    margin: 2rem auto;
}
input[type="text"]{
    width: 80%;
    padding: 0.5rem 0;
    border-radius: 0.2rem;
}
input[type="submit"]{
    width: 18%;
    padding: 0.5rem 0;
    border-radius: 0.2rem;
}

.task {
    margin: 1rem 0;
    border: 1px solid black;
    width: 98.7%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    padding: 1rem;
    border-radius: 0.2rem;
    background : linear-gradient(to right, #fcbac0, #f7d4a3);
    box-shadow: 0px 0px 10px rgba(107, 97, 97, 0.5);
    
}

.task_detail {
    margin: 0 1rem 0 1rem;
    width : 78%;
    word-wrap: break-word;
    padding: 0.5rem 0.5rem;
}
.check_box{
    width: 2%;
}
.check_box:hover{
    cursor: pointer;
}
#edit_button {
    padding: 0.5rem 0.5rem;
    border-radius: 0.2rem;
}
#delete_button{
    width: 2%;
}
#edit_button:hover{
    cursor: pointer;
}
#delete_button{
    cursor: pointer;
}

.outcome_container{
    display: flex;
    justify-content: space-evenly;
    margin: 1rem 0;
    border-radius: 0.2rem;
    align-items: center;
}

input[type="text"]{
    text-align:start;
    padding: 0.4rem
}

button{
    background: linear-gradient(to right, #FF5F6D, #FFC371);
    background-color: white;
}
input[type="submit"]{
    background: linear-gradient(to right, #FF5F6D, #FFC371);
}
input[type="submit"]:hover{
    cursor: pointer;    
}
button:hover{
    cursor: pointer;
}

button:focus{
    opacity: 0.5;
    
}

#remove_all_btn, #pending_task_btn, #all_tasks_btn{
    padding: 0.5rem 0.5rem;
    border-radius: 0.2rem;
}

@media (max-width: 700px){
    .main_container{
        width : 95%;
    }
}